package com.zcxk.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dao.OperateLogMapper;
import com.zcxk.dto.OperateLogDto;
import com.zcxk.entity.OperateLogEntity;
import com.zcxk.service.OperateLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @description  操作日志管理实现类
 * @auto wangli
 * @data 2020-10-27 9:03
 */
@Service("operateLogService")
public class OperateLogServiceImpl implements OperateLogService {

    @Resource
    private OperateLogMapper operateLogMapper;

    @Override
    public OperateLogDto selectById(Integer id) {
        return operateLogMapper.selectById(id);
    }

    @Override
    public List<OperateLogDto> selectAll() {
        return operateLogMapper.selectAll();
    }

    @Override
    public List<OperateLogDto> selectList(OperateLogDto operateLogDto) {
        return operateLogMapper.selectList(operateLogDto);
    }

    @Override
    public int insert(OperateLogEntity operateLogEntity) {
        return operateLogMapper.insert(operateLogEntity);
    }

    @Override
    public int batchInsert(List<OperateLogEntity> loginLogEntities) {
        return operateLogMapper.batchInsert(loginLogEntities);
    }

    @Override
    public int update(OperateLogEntity operateLogEntity) {
        return operateLogMapper.update(operateLogEntity);
    }

    @Override
    public int deleteById(Integer id) {
        return operateLogMapper.deleteById(id);
    }

    @Override
    public int count() {
        return operateLogMapper.count();
    }

    @Override
    public IPage<OperateLogDto> selectPage(IPage<OperateLogDto> page, OperateLogDto operateLogDto) {
        return operateLogMapper.selectPage(page, operateLogDto);
    }

    @Override
    public List<OperateLogDto> selectListByIds(Long[] Ids) {
        return operateLogMapper.selectListByIds(Ids);
    }
}
